python-alembic_0.8.2-3ubuntu1_all.deb


Advertisement

Description

python-alembic - lightweight database migration tool for SQLAlchemy - Python 2.x

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename python-alembic_0.8.2-3ubuntu1_all.deb
Package name python-alembic
Package version 0.8.2
Package release 3ubuntu1
Package architecture all
Package type deb
Category python
Homepage http://www.bitbucket.org/zzzeek/alembic
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 95.62 KB
Installed size 563.00 KB
Alembic is a new database migration tool, written by the author
of SQLAlchemy. A migration tool offers the following functionality:
* Can emit ALTER statements to a database in order to change the
structure of tables and other constructs
* Provides a system whereby "migration scripts" may be constructed;
each script indicates a particular series of steps that can
"upgrade" a target database to a new version, and optionally a
series of steps that can "downgrade" similarly, doing the same
steps in reverse.
* Allows the scripts to execute in some sequential manner.
This package contains the Python 2.x module.

Alternatives

Package Version Architecture Repository
python-alembic_0.8.2-3ubuntu1_all.deb 0.8.2 all Ubuntu Main
python-alembic - - -

Requires

Name Value
python-mako -
python-sqlalchemy << 1.1
python-sqlalchemy >= 1.0~
python2.7:any -
python:any << 2.8
python:any >= 2.7.5-5~

Replaces

Name Value
alembic << 0.6.3+ds-2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-alembic_0.8.2-3ubuntu1_all.deb
Source Package alembic

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-alembic deb package:
    # sudo apt-get install python-alembic

Files

Path
/usr/bin/python2-alembic
/usr/lib/python2.7/dist-packages/alembic/__init__.py
/usr/lib/python2.7/dist-packages/alembic/command.py
/usr/lib/python2.7/dist-packages/alembic/config.py
/usr/lib/python2.7/dist-packages/alembic/context.py
/usr/lib/python2.7/dist-packages/alembic/op.py
/usr/lib/python2.7/dist-packages/alembic-0.8.2.dev0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/alembic-0.8.2.dev0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/alembic-0.8.2.dev0.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/alembic-0.8.2.dev0.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/alembic-0.8.2.dev0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/alembic-0.8.2.dev0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/alembic/autogenerate/__init__.py
/usr/lib/python2.7/dist-packages/alembic/autogenerate/api.py
/usr/lib/python2.7/dist-packages/alembic/autogenerate/compare.py
/usr/lib/python2.7/dist-packages/alembic/autogenerate/render.py
/usr/lib/python2.7/dist-packages/alembic/autogenerate/rewriter.py
/usr/lib/python2.7/dist-packages/alembic/ddl/__init__.py
/usr/lib/python2.7/dist-packages/alembic/ddl/base.py
/usr/lib/python2.7/dist-packages/alembic/ddl/impl.py
/usr/lib/python2.7/dist-packages/alembic/ddl/mssql.py
/usr/lib/python2.7/dist-packages/alembic/ddl/mysql.py
/usr/lib/python2.7/dist-packages/alembic/ddl/oracle.py
/usr/lib/python2.7/dist-packages/alembic/ddl/postgresql.py
/usr/lib/python2.7/dist-packages/alembic/ddl/sqlite.py
/usr/lib/python2.7/dist-packages/alembic/operations/__init__.py
/usr/lib/python2.7/dist-packages/alembic/operations/base.py
/usr/lib/python2.7/dist-packages/alembic/operations/batch.py
/usr/lib/python2.7/dist-packages/alembic/operations/ops.py
/usr/lib/python2.7/dist-packages/alembic/operations/schemaobj.py
/usr/lib/python2.7/dist-packages/alembic/operations/toimpl.py
/usr/lib/python2.7/dist-packages/alembic/runtime/__init__.py
/usr/lib/python2.7/dist-packages/alembic/runtime/environment.py
/usr/lib/python2.7/dist-packages/alembic/runtime/migration.py
/usr/lib/python2.7/dist-packages/alembic/script/__init__.py
/usr/lib/python2.7/dist-packages/alembic/script/base.py
/usr/lib/python2.7/dist-packages/alembic/script/revision.py
/usr/lib/python2.7/dist-packages/alembic/templates/generic/README
/usr/lib/python2.7/dist-packages/alembic/templates/generic/alembic.ini.mako
/usr/lib/python2.7/dist-packages/alembic/templates/generic/env.py
/usr/lib/python2.7/dist-packages/alembic/templates/generic/script.py.mako
/usr/lib/python2.7/dist-packages/alembic/templates/multidb/README
/usr/lib/python2.7/dist-packages/alembic/templates/multidb/alembic.ini.mako
/usr/lib/python2.7/dist-packages/alembic/templates/multidb/env.py
/usr/lib/python2.7/dist-packages/alembic/templates/multidb/script.py.mako
/usr/lib/python2.7/dist-packages/alembic/templates/pylons/README
/usr/lib/python2.7/dist-packages/alembic/templates/pylons/alembic.ini.mako
/usr/lib/python2.7/dist-packages/alembic/templates/pylons/env.py
/usr/lib/python2.7/dist-packages/alembic/templates/pylons/script.py.mako
/usr/lib/python2.7/dist-packages/alembic/testing/__init__.py
/usr/lib/python2.7/dist-packages/alembic/testing/assertions.py
/usr/lib/python2.7/dist-packages/alembic/testing/compat.py
/usr/lib/python2.7/dist-packages/alembic/testing/config.py
/usr/lib/python2.7/dist-packages/alembic/testing/engines.py
/usr/lib/python2.7/dist-packages/alembic/testing/env.py
/usr/lib/python2.7/dist-packages/alembic/testing/exclusions.py
/usr/lib/python2.7/dist-packages/alembic/testing/fixtures.py
/usr/lib/python2.7/dist-packages/alembic/testing/mock.py
/usr/lib/python2.7/dist-packages/alembic/testing/provision.py
/usr/lib/python2.7/dist-packages/alembic/testing/requirements.py
/usr/lib/python2.7/dist-packages/alembic/testing/runner.py
/usr/lib/python2.7/dist-packages/alembic/testing/util.py
/usr/lib/python2.7/dist-packages/alembic/testing/warnings.py
/usr/lib/python2.7/dist-packages/alembic/testing/plugin/__init__.py
/usr/lib/python2.7/dist-packages/alembic/testing/plugin/bootstrap.py
/usr/lib/python2.7/dist-packages/alembic/testing/plugin/noseplugin.py
/usr/lib/python2.7/dist-packages/alembic/testing/plugin/plugin_base.py
/usr/lib/python2.7/dist-packages/alembic/testing/plugin/pytestplugin.py
/usr/lib/python2.7/dist-packages/alembic/util/__init__.py
/usr/lib/python2.7/dist-packages/alembic/util/compat.py
/usr/lib/python2.7/dist-packages/alembic/util/langhelpers.py
/usr/lib/python2.7/dist-packages/alembic/util/messaging.py
/usr/lib/python2.7/dist-packages/alembic/util/pyfiles.py
/usr/lib/python2.7/dist-packages/alembic/util/sqla_compat.py
/usr/share/doc/python-alembic/changelog.Debian.gz
/usr/share/doc/python-alembic/copyright

Changelog

2016-01-22 - James Page <james.page@ubuntu.com>
alembic (0.8.2-3ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Demote runtime dependency on python{3}-editor to Suggests to avoid
inclusion in Ubuntu main.
- d/p/disable-editor.patch: Patchout hard requirement on python-editor.
2015-10-23 - Thomas Goirand <zigo@debian.org>
alembic (0.8.2-3) unstable; urgency=medium
* Fixed typo in VCS field.
* Removed Piotr from Uploaders after he asked for that.
* override_dh_python3 to fix Py3 shebang.
2015-09-08 - James Page <james.page@ubuntu.com>
alembic (0.8.2-2ubuntu2) wily; urgency=medium
* d/p/disable-editor.patch: Patchout hard requirement on python-editor.
2015-09-08 - James Page <james.page@ubuntu.com>
alembic (0.8.2-2ubuntu1) wily; urgency=medium
* Resync with Debian unstable.
* Demote runtime dependency on python{3}-editor to Suggests to avoid
inclusion in Ubuntu main.
2015-09-04 - Thomas Goirand <zigo@debian.org>
alembic (0.8.2-2) unstable; urgency=medium
* Added missing dependency on python-editor.
2015-09-02 - Thomas Goirand <zigo@debian.org>
alembic (0.8.2-1) unstable; urgency=medium
* New upstream release.
* Removed patch applied upstream:
- turn-on-the-mssql-legacy_schema_aliasing-flag-to-remove-warnings.patch
* Switch away from pybuild: I simply don't understand how it works, and
there's no doc that I know of explaining the behavior.
* Using update-alternative for switching between python2 and 3 of
/usr/bin/alembic.
* Allow alembic to be used with python3-alembic and not just
python-alembic (ie: Depends: python-alembic | python3-alembic).
* Added a patch to disable the one and only failing pybuild test.
2015-08-25 - Thomas Goirand <zigo@debian.org>
alembic (0.7.6-2) unstable; urgency=medium
* Added missing python-pytest build-depends (Closes: #796413).
* Removed build-depends on nose.
2015-06-26 - Thomas Goirand <zigo@debian.org>
alembic (0.7.6-1) unstable; urgency=medium
* New upstream release.
* Fixed watch file.
* Added patch to avoid FTBFS, as advised by upstream:
turn-on-the-mssql-legacy_schema_aliasing-flag-to-remove-warnings.patch
2015-04-27 - Thomas Goirand <zigo@debian.org>
alembic (0.7.4-2) unstable; urgency=medium
* Uploading to unstable.
* Dropped version in the python-sphinx build-depends.
* Moved some Build-Depends to a new Build-Depends-Indep.
2015-02-07 - Thomas Goirand <zigo@debian.org>
alembic (0.7.4-1) experimental; urgency=medium
* New upstream release.
* Now generating the orig.tar.xz out of a git tag.
* Taking over the package after the original maintainer wrote by email he
can't maintain the package anymore. Added Piotr as maintainer as he
also expressed interest in the package, as he maintains SQLAlchemy.
* Ran wrap-and-sort as debian/control was really messy.
* Removed now useless X-Python-Version: >= 2.6.
* Standards-Version is now 3.9.6.
* Increased debhelper and compat to 9.
* Added past maintainers to debian/copyright.
* Fixed short and long descriptions.

See Also

Package Description
python-all-dev_2.7.11-1_amd64.deb package depending on all supported Python development packages
python-all_2.7.11-1_amd64.deb package depending on all supported Python runtime versions
python-amqp-doc_1.4.9-1_all.deb Low-level AMQP client (Documentation)
python-amqp_1.4.9-1_all.deb Low-level AMQP client
python-anyjson_0.3.3-1build1_all.deb Common interface for the best available JSON implementation
python-appconf-doc_1.0.1-4_all.deb helper class handling configuration defaults of apps - transition package
python-appdirs_1.4.0-2_all.deb determining appropriate platform-specific directories (Python 2)
python-apport_2.20.1-0ubuntu2_all.deb Python library for Apport crash report handling
python-apt-common_1.1.0~beta1build1_all.deb Python interface to libapt-pkg (locales)
python-apt-dev_1.1.0~beta1build1_all.deb Python interface to libapt-pkg (development files)
python-apt-doc_1.1.0~beta1build1_all.deb Python interface to libapt-pkg (API documentation)
python-apt_1.1.0~beta1build1_amd64.deb Python interface to libapt-pkg
python-attr-doc_15.2.0-1_all.deb documentation for the attrs Python library
python-attr_15.2.0-1_all.deb Attributes without boilerplate (Python 2)
python-automaton-doc_1.2.0-1_all.deb friendly state machines - doc
Advertisement
Advertisement